# Q3Radiant Editor Manual

# Appendix B: Entity Descriptions

## Team_* Entities

These entities only function when a team style game is being played. Most are for Capture the Flag. They do not need to be marked with notfree, since that is part of their nature.

team_CTF_blueflag
Map Entity Color: blue
Dimensions: (-16 -16 -24) (16 16 32)
Game Function: Blue team flag for CTF games.

Notes
This cannot be suspended (or the bots won't find it). It must be reachable by players of both teams, since it is where a player must return an opponent's flag.

team_CTF_blueplayer
Map Entity Color: blue
Dimensions: (-16 -16 -24) (16 16 32)
Game Function: Initial Blue team spawning position for CTF games. This is where players spawn when they join the Blue team (at the start of a game or upon entering a game in progress).

Keys
target: this can point at a target_give entity for respawn freebies.

team_CTF_bluespawn
Map Entity Color: blue
Dimensions: (-16 -16 -24) (16 16 32)
Game Function: Blue team respawning position for CTF games. This is where Blue team players respawn after they get fragged.

Keys
target: this can point at a target_give entity for respawn freebies.

team_CTF_redflag
Map Entity Color: red
Dimensions: (-16 -16 -24) (16 16 32)
Game Function: Blue team flag for CTF games.

Notes
This cannot be suspended (or the bots won't find it). It must be reachable by players of both teams, since it is where a player must return an opponent's flag.

team_CTF_redplayer
Map Entity Color: red
Dimensions: (-16 -16 -24) (16 16 32)
Game Function: Initial Red team spawning position for CTF games. This is where players spawn when they join the red team (at the start of a game or upon entering a game in progress).

Keys
target: this can point at a target_give entity for respawn freebies.

team_CTF_redspawn
Map Entity Color: red
Dimensions: (-16 -16 -24) (16 16 32)
Game Function: Red team respawning position for CTF games. This is where red team players respawn after they get fragged.

Keys
target: this can point at a target_give entity for respawn freebies.

## Trigger_* Entities

trigger_always
Map Entity Color: gray
Dimensions: (-8 -8 -8) (8 8 8)
Game Function: Automatic trigger. It will fire the entities it targets as soon as it spawns in the game.

Keys
target: this points to the entity to activate.
notfree: when set to 1, entity will not spawn in "Free for all" and "Tournament" modes.
notteam: when set to 1, entity will not spawn in "Teamplay" and "CTF" modes.
notsingle: when set to 1, entity will not spawn in Single Player mode (bot play mode).

Notes
For reliable internet play, make any trigger which can be passed through at least 32 game units deep.

trigger_hurt
Map Entity Color: gray
Dimensions: size of brush used
Game Function: Any player that touches this will be hurt by "dmg" points of damage once per server frame (very fast). A sizzling sound is also played while the player is being hurt.

Keys
dmg: number of points of damage inflicted to player per server frame (default 5 - integer values only).
notfree: when set to 1, entity will not spawn in "Free for all" and "Tournament" modes.
notteam: when set to 1, entity will not spawn in "Teamplay" and "CTF" modes.
notsingle: when set to 1, entity will not spawn in Single Player mode (bot play mode).

Check Boxes/Spawnflags
START_OFF: if set, the trigger will initially start off in the game.
SILENT: supresses the sizzling sound while player is being hurt.
NO_PROTECTION: player will be hurt regardless of protection (see Notes).
SLOW: changes the damage rate to once per second.

Notes

- The invulnerability power-up (item_enviro) does not protect the player from damage caused by this entity regardless of whether the NO_PROTECTION spawnflag is set or not.
- A trigger_hurt always starts on in the game.
- For reliable Internet play, make any trigger which can be passed through at least 32 game units deep.

trigger_multiple
Map Entity Color: gray
Dimensions: size of brush used
Game Function: Variable size repeatable trigger. It will fire the entities it targets when touched by player. Can be made to operate like a trigger_once entity by setting the "wait" key to -1. It can also be activated by another trigger that targets it.

Keys
target: this points to the entity to activate.
targetname: activating trigger points to this.
wait: time in seconds until trigger becomes re-triggerable after it's been touched (default 0.2, -1 = trigger once).
random: random time variance in seconds added or subtracted from "wait" delay (default 0 - see Notes).
notfree: when set to 1, entity will not spawn in "Free for all" and "Tournament" modes.
notteam: when set to 1, entity will not spawn in "Teamplay" and "CTF" modes.
notsingle: when set to 1, entity will not spawn in Single Player mode (bot play mode).

Notes

- When the random key is set, its value is used to calculate a minimum and a maximum delay. The final time delay will be a random value anywhere between the minimum and maximum values: (min delay = wait - random) (max delay = wait + random).
- For reliable Internet play, make any trigger which can be passed through at least 32 game units deep.

trigger_push
Map Entity Color: gray
Dimensions: size of brush used
Game Function: This is used to create jump pads and launch ramps. It MUST point to a target_position or info_notnull entity to work. Unlike target_push, this is client side predicted.

Keys
target: this points to the target_position to which the player will jump.
notfree: when set to 1, entity will not spawn in "Free for all" and "Tournament" modes.
notteam: when set to 1, entity will not spawn in "Teamplay" and "CTF" modes.
notsingle: when set to 1, entity will not spawn in Single Player mode (bot play mode).

Notes

- To make a jump pad or launch ramp, place the target_position/info_notnull entity at the highest point of the jump and target it with this entity.
- This trigger automatically makes the bouncepad sound.
- Speed of travel is determined by the distance needed to reach the target entity. Longer = faster.
- For reliable Internet play, make any trigger which can be passed through at least 32 game units deep.

trigger_teleport
Map Entity Color: gray
Dimensions: size of brush used
Game Function: Touching this will teleport players to the location of the targeted misc_teleporter_dest or target_position entities. This entity allows client prediction of events. It is the preferred method.

Keys
target: this must point to a misc_teleporter_dest entity or a target_position entity.
notfree: when set to 1, entity will not spawn in "Free for all" and "Tournament" modes.
notteam: when set to 1, entity will not spawn in "Teamplay" and "CTF" modes.
notsingle: when set to 1, entity will not spawn in Single Player mode (bot play mode).

Notes

- For reliable Internet play, make any trigger which can be passed through at least 32 game units deep.
- When you give multiple targets the same target name, the teleporter will randomly select from one each time it is used.

Back | Home | Next